当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题] 如何设置禁止内核更新?如何忽略某个包的?
帖子发表于 : 2008-05-04 21:20 
头像

注册: 2007-07-05 2:48
帖子: 171
送出感谢: 0 次
接收感谢: 0 次
1.
看到有更新,点开一看,原来是内核相关的更新
可是我不想更新内核,只能挑着更新了,那么以后的更新都只能挑着更新了
这岂不麻烦

请问如何设置 apt 使它检查更新时忽略内核或指定的包?

2.
我想装kile,但我已经自己装好了 texlive2007,不想再通过apt
装texlive了,而装kile时一定得依赖一个latex版本,如何指定对kile的
安装忽略对 texlive 的依赖?或换句话说,可否通过指定来让系统
认为 texlive相关的包 已经安装?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-04 21:21 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
在我的机器上,如果用 sudo aptitude full-upgrade,或者 sudo apt-get upgrade 永远都不会更新内核的,我每次想更新内核就使用图形界面。这个最简单。

至于楼主的问题嘛。。。aptitude 是有 hold 参数的,apt-get 也类似,仔细查一下相关帮助。其实答案都是现成的。例如把某个版本的内核hold住。。。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-05 9:56 
头像

注册: 2007-07-05 2:48
帖子: 171
送出感谢: 0 次
接收感谢: 0 次
第一个问题已解决

将 内核相关的generic包卸掉,只留具体某个版本的内核
再把内核相关的包hold住,就OK了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译